tcl_who.d(1m)

NAME
tcl_who.d - trace Tcl calls by process using DTrace.

SYNOPSIS
tcl_who.d

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). Calls is a measure of activity, and is a count of the procedures and commands that Tcl called. The argument list is truncated at 55 characters (up to 80 is easily available). To easily read the full argument list, use other system tools; on Solaris use "pargs PID".

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_who.d

FIELDS

PID Process ID of Tcl

UID User ID of the owner

CALLS
    Number of calls made (proc + cmd)

ARGS
    Process name and arguments

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)